if (!I3ME) var I3ME = {};
I3ME.scrollPage = function (obj, options, callback) {
    var _defaultOptions = { delay: 500, marginBottom: 100 };
    options = $.extend(_defaultOptions, options);
    this.isScrolling = false; //是否在滚动
    this.oriPos = 0; //原始位置
    this.curPos = 0; //当前位置
    var me = this; //顶层
    var $obj = (typeof obj == "string") ? $("#" + obj) : $(obj);

    $obj.scroll(function (ev) {
        me.curPos = $obj.scrollTop();
        if ($(window).height() + $(window).scrollTop() >= $(document.body).height() - options.marginBottom) {
            if (me.isScrolling == true) return;
            me.isScrolling = true;
            setTimeout(function () { me.isScrolling = false; }, options.delay);
            if (typeof callback == "function") callback.call(null, me.curPos - me.oriPos);
        };
        me.oriPos = me.curPos;
    });
};

(function($) {
    //下拉加载
    window.scrollTo(0, 0);
    new I3ME.scrollPage(window, { delay: 500, marginBottom: 200 }, function (offset) {
        var ke = $('#loading'), 
            showUrl = ke.attr('url'),
            p = ke.attr('page'),
            cutstr = ke.attr('cutstr'),
            title = ke.attr('title'),
            field = ke.attr('field'),
            catid = ke.attr('catid');
        if (offset > 0) {
            if (parseInt(p) <= 0) {
                return false;
            } else {
                //显示加载
                ke.css({"display":"-webkit-box"});
                    $.ajax({
                        type: 'GET',
                        url: showUrl,
                        dataType: 'json',
                        data: {catid:catid,page:p,cutstr:cutstr,title:title,field:field},
                        success:function(data) {
                            if (data.status == 1) {
                                for (var i in data.data) {
                                    var tpl = $('#J_load_tpl').html();
                                    tpl = tpl.replace(/{js:key}/g, data.data[i].key);
                                    tpl = tpl.replace(/{js:id}/g, data.data[i].id);
                                    tpl = tpl.replace(/{js:catname}/g, data.data[i].catname);
                                    tpl = tpl.replace(/{js:title}/g, data.data[i].title);
                                    tpl = tpl.replace(/{js:subtitle}/g, data.data[i].subtitle);
                                    tpl = tpl.replace(/{js:qsubtitle}/g, data.data[i].qsubtitle);
                                    tpl = tpl.replace(/{js:qtitle}/g, data.data[i].qtitle);
                                    tpl = tpl.replace(/{js:description}/g, data.data[i].description);
                                    tpl = tpl.replace(/{js:qdescription}/g, data.data[i].qdescription);
                                    tpl = tpl.replace(/{js:createtime}/g, data.data[i].createtime);
                                    tpl = tpl.replace(/{js:thumb}/g, data.data[i].thumb); 
                                    tpl = tpl.replace(/{js:url}/g, data.data[i].url);
                                    tpl = tpl.replace(/{js:nb}/g, data.data[i].nb);
                                    tpl = tpl.replace(/{js:big1}/g, data.data[i].big1);
                                    tpl = tpl.replace(/{js:h1}/g, data.data[i].h1);
                                    tpl = tpl.replace(/{js:h2}/g, data.data[i].h2);
                                    tpl = tpl.replace(/{js:cnteam}/g, data.data[i].cnteam);
                                    tpl = tpl.replace(/{js:enteam}/g, data.data[i].enteam);
                                    tpl = tpl.replace(/{js:position}/g, data.data[i].position);
                                    $('#J_load_content').append(tpl);
                                };
                                ke.attr('page',data.info); //设置页码
                                $('a.b1').tosrus({
                                	buttons: 'inline',
                                	pagination: {
                                		add: true,
                                		type: 'thumbnails'
                                	}}) //放大插件
                                $("img.load").delayLoading({
									defaultImg: "__MIMG__load.gif",
									errorImg: "",
									imgSrcAttr: "originalSrc",
									beforehand: 0,
									event: "scroll",
									duration: "normal",
										container: window,
										success: function (imgObj) {},
										error: function (imgObj) {}
								});
                                setTimeout(function () {
                                    ke.fadeOut(1000);
                                },1000);
                            } else {
                                ke.fadeOut(1000);
                                ke.attr('page',0);
                          }
                        }
                    });
            }
        }
    });
})(jQuery);