# juqingcms 
# ----------------------------------------


DROP TABLE IF EXISTS `qing_admin`;
CREATE TABLE `qing_admin` (
  `userid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(20) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `roleid` smallint(5) DEFAULT '0',
  `realname` varchar(50) NOT NULL DEFAULT '',
  `auth` text NOT NULL,
  `list_size` smallint(5) NOT NULL,
  `left_width` smallint(5) NOT NULL DEFAULT '150',
  `color` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`userid`),
  KEY `username` (`username`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `qing_admin` VALUES('1','admin','c3284d0f94606de1fd2af172aba15bf3','1','超级管理员','','10','150','');

DROP TABLE IF EXISTS `qing_block`;
CREATE TABLE `qing_block` (
  `id` smallint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(1) NOT NULL,
  `name` varchar(50) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO `qing_block` VALUES('1','2','LOGO','/data/upload/image/20190406/1554514353612815.png');
INSERT INTO `qing_block` VALUES('2','2','内页默认banner','/data/upload/image/20190406/1554514367541684.png');
INSERT INTO `qing_block` VALUES('3','2','微信二维码','/data/upload/image/20190406/1554514379104145.png');
INSERT INTO `qing_block` VALUES('4','1','400电话','400-0000-000');
INSERT INTO `qing_block` VALUES('5','1','手机','139-0000-0000');
INSERT INTO `qing_block` VALUES('6','1','传真','0599-0000-0000');
INSERT INTO `qing_block` VALUES('7','1','邮箱','123456@qq.com');
INSERT INTO `qing_block` VALUES('8','1','QQ','123456');
INSERT INTO `qing_block` VALUES('9','1','地址','上海市嘉定区XXX办公楼XX室');
INSERT INTO `qing_block` VALUES('10','1','备案号','沪ICP备00000000号');
INSERT INTO `qing_block` VALUES('11','1','百度地图坐标','31.227906,121.476788');

DROP TABLE IF EXISTS `qing_category`;
CREATE TABLE `qing_category` (
  `catid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `typeid` tinyint(1) NOT NULL,
  `modelid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `parentid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `child` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `childids` varchar(255) NOT NULL,
  `catname` varchar(30) NOT NULL,
  `image` varchar(100) NOT NULL,
  `content` mediumtext NOT NULL,
  `seo_title` varchar(255) NOT NULL,
  `seo_keywords` varchar(255) NOT NULL,
  `seo_description` varchar(255) NOT NULL,
  `catdir` varchar(30) NOT NULL,
  `http` varchar(255) NOT NULL,
  `items` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `listorder` smallint(5) unsigned NOT NULL DEFAULT '0',
  `ismenu` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `ispost` smallint(2) NOT NULL,
  `verify` smallint(2) NOT NULL DEFAULT '0',
  `islook` smallint(2) NOT NULL,
  `listtpl` varchar(50) NOT NULL,
  `showtpl` varchar(50) NOT NULL,
  `pagetpl` varchar(50) NOT NULL,
  `pagesize` smallint(5) NOT NULL,
  `catenname` varchar(255) NOT NULL,
  PRIMARY KEY (`catid`),
  KEY `listorder` (`listorder`,`catid`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;

INSERT INTO `qing_category` VALUES('1','2','0','0','1','8,9,10,','关于我们','','','','','','guanyu','','0','0','1','0','0','0','','','page.html','10','ABOUT US');
INSERT INTO `qing_category` VALUES('2','1','1','0','1','11,12,','新闻动态','/data/upload/image/20190406/1554515800295542.png','','','','','xinwen','','4','0','1','0','0','0','list_news.html','show_news.html','page.html','10','NEWS');
INSERT INTO `qing_category` VALUES('3','1','2','0','1','13,14,15,16,','产品中心','/data/upload/image/20190406/1554515810108328.png','','','','','chanpin','','8','0','1','0','0','0','list_product.html','show_product.html','page.html','12','PRODUCT');
INSERT INTO `qing_category` VALUES('4','2','0','0','1','17,18,19,','服务优势','','','','','','youshi','','0','0','1','0','0','0','','','page.html','10','advantage');
INSERT INTO `qing_category` VALUES('5','1','1','0','0','','服务支持','','','','','','zhichi','','4','0','1','0','0','0','list_news.html','show_news.html','page.html','10','support');
INSERT INTO `qing_category` VALUES('6','2','0','0','0','','诚聘英才','','&lt;p&gt;招兵买马&lt;/p&gt;&lt;p&gt;招贤纳士&lt;br/&gt;&lt;/p&gt;','','','','zhaopin','','0','0','1','0','0','0','','','page.html','10','Join us');
INSERT INTO `qing_category` VALUES('7','2','0','0','1','20,21,','联系我们','','','','','','lianxi','','0','0','1','0','0','0','','','page.html','10','CONTACT US');
INSERT INTO `qing_category` VALUES('8','2','0','1','0','','公司简介','','&lt;section class=&quot;met-show animsition&quot;&gt;&lt;p&gt;JuQingCms企业建站版基于PHP+Mysql架构是一款上手快、灵活、简单、易用的轻量级cms（能满足各种企业站 博客 等中小型站点。），聚擎cms系统一如既往的打造SEO优化元素，测试模板并推向市场，希望每一位客户的网站都能有理想中的排名。&lt;/p&gt;&lt;p&gt;JuQingCms系统简介&lt;/p&gt;&lt;p&gt;01. 支持自定义内容模型&lt;/p&gt;&lt;p&gt;通过自定义内容模型和自定义字段可以轻松简单的定制出各种内容模型 如新闻模块、产品模块、下载模块、图片模块、标签、各种DIY的做法和字段。&lt;/p&gt;&lt;p&gt;02. 支持自定义会员模型。&lt;/p&gt;&lt;p&gt;通过自定义会员模型可以扩展各种会员模型 如 个人、企业。&lt;/p&gt;&lt;p&gt;03. 支持自定义表单模型。&lt;/p&gt;&lt;p&gt;通过自定义表单模型可以扩展内容评论、 在线留言、 报名、产品订购、等各种提交表单。&lt;/p&gt;&lt;p&gt;04. 支持自定义表。&lt;/p&gt;&lt;p&gt;05. 区块管理功能。&lt;/p&gt;&lt;p&gt;06. 支持手机版。&lt;/p&gt;&lt;p&gt;07. 支持url伪静态 生成静态 动态 三种模式。&lt;/p&gt;&lt;p&gt;08. 支持游客投稿。&lt;/p&gt;&lt;p&gt;09. 支持会员投稿，会员模块单独分离可选不安装。&lt;/p&gt;&lt;p&gt;10. 简单易用的后台操作管理方式（经过一次改进，比之前要简单的多），小白也懂得怎么用。&lt;/p&gt;&lt;p&gt;11. 灵活的模板标签语言 让制作模板更容易更省时间。&lt;/p&gt;&lt;p&gt;12. 系统核心代码加密可二次开发。&lt;/p&gt;&lt;p&gt;13. 自定义推荐位，可以进行自定义再次开发。&lt;/p&gt;&lt;p&gt;14. 采用pdo数据库驱动提高安全性。&lt;/p&gt;&lt;p&gt;15. 前后台彻底分离，支持更改后台目录。&lt;/p&gt;&lt;p&gt;16. JuQingCms不仅是一款企业建站cms，还是轻量级的万能建站CMS具有SEO优化功能的网站管理系统&lt;/p&gt;&lt;p&gt;17、模板每周更新，提供新复合SEO的模板框架&lt;/p&gt;&lt;p&gt;18、支持拓展城市分站，让全国地域关键词融入您的网站。&lt;/p&gt;&lt;p&gt;19、留言提醒功能：支持网站留言直接填写邮箱推送到您邮箱。&lt;/p&gt;&lt;p&gt;18、支持拓展城市分站，让全国地域关键词融入您的网站。&lt;/p&gt;&lt;p&gt;20、支持网站与微信公众号菜单打通，更多优势请亲亲测。&lt;/p&gt;&lt;/section&gt;','','','','jianjie','','0','0','1','0','0','0','','','page.html','10','');
INSERT INTO `qing_category` VALUES('9','2','0','1','0','','发展战略','','&lt;p&gt;自成立伊始，公司即秉持&amp;quot;科学管理、追求卓越、服务社会&amp;quot;的企业宗旨，始终走在市场前端，把握行业先机，不断提升产品质量、实现产品的升级换代。&lt;/p&gt;&lt;p&gt;风雨兼程数十载，公司视产品质量为生命，依托精细化管理和技术创新，建立了高品质的人才、知识储备库，走出了一条&amp;quot;自强不息、至善若水&amp;quot;的发展之路。未来，公司将继续以执着探索和勇于突破的精神，努力成为国际顶尖的汽车零部件供应商，缔造钢制车轮经典品牌。&lt;/p&gt;','','','','zhanlue','','0','0','1','0','0','0','','','page.html','10','');
INSERT INTO `qing_category` VALUES('10','2','0','1','0','','合作厂商','','','','','','hezuo','','0','0','1','0','0','0','','','page_hezuo.html','10','');
INSERT INTO `qing_category` VALUES('11','1','1','2','0','','公司动态','','','','','','dongtai','','1','0','1','0','0','0','list_news.html','show_news.html','','10','');
INSERT INTO `qing_category` VALUES('12','1','1','2','0','','行业资讯','','','','','','zixun','','3','0','1','0','0','0','list_news.html','show_news.html','','10','');
INSERT INTO `qing_category` VALUES('13','1','2','3','0','','产品分类一','/data/upload/image/20190406/1554515033288355.png','','','','海外大牌轻松购买，无需出门','chanpin1','','8','0','1','0','0','0','list_product.html','show_product.html','','12','');
INSERT INTO `qing_category` VALUES('14','1','2','3','0','','产品分类二','/data/upload/image/20190406/1554515043693801.png','','','','轻松购买海外优质产品','chanpin2','','0','0','1','0','0','0','list_product.html','show_product.html','','12','');
INSERT INTO `qing_category` VALUES('15','1','2','3','0','','产品分类三','/data/upload/image/20190406/1554515053396537.png','','','','样式各样零件，底价海购','chanpin3','','0','0','1','0','0','0','list_product.html','show_product.html','','12','');
INSERT INTO `qing_category` VALUES('16','1','2','3','0','','产品分类四','/data/upload/image/20190406/1554515064602617.png','','','','无需出门就能购买产品','chanpin4','','0','0','1','0','0','0','list_product.html','show_product.html','','12','');
INSERT INTO `qing_category` VALUES('17','2','0','4','0','','齐全的售后服务','/data/upload/image/20190406/1554514965550290.png','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554514965550290.png&quot; title=&quot;1554514965550290.png&quot; alt=&quot;s1.png&quot;/&gt;&lt;/p&gt;&lt;p&gt;专注企业外贸10年，深入研究行业趋势和客户需求。360度服务体系，让您无后顾之忧；坚持“诚信为本”的经营理念，用最严谨的态度不断创新不断完善。&lt;/p&gt;','','','','youshi1','','0','0','1','0','0','0','','','page.html','10','');
INSERT INTO `qing_category` VALUES('18','2','0','4','0','','丰富的外贸经营','/data/upload/image/20190406/1554514986621034.png','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554514986621034.png&quot; title=&quot;1554514986621034.png&quot; alt=&quot;s2.png&quot;/&gt;&lt;/p&gt;&lt;p&gt;已有10年的外贸经验，全程过程让你无担忧；完善的物流配送中心，产品销往全国各地。不用出门就能收到产品，我们提供送货上门服务。为您的国际贸易提供一站式服务。&lt;br/&gt;&lt;/p&gt;','','','','youshi2','','0','0','1','0','0','0','','','page.html','10','');
INSERT INTO `qing_category` VALUES('19','2','0','4','0','','优秀的产品质量','/data/upload/image/20190406/1554515010703784.png','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515010703784.png&quot; title=&quot;1554515010703784.png&quot; alt=&quot;s3.png&quot;/&gt;&lt;/p&gt;&lt;p&gt;我们以最优的产品质量、最低的费用，为你争取最大的利益，绝不滥竽充数；每一个产品都是经过我们严格的检查，保证你拿到产品不会出现质量问题，如出现质量问题我们将全额包赔！&lt;/p&gt;','','','','youshi3','','0','0','1','0','0','0','','','page.html','10','');
INSERT INTO `qing_category` VALUES('20','2','0','7','0','','联系方式','','&lt;p&gt;400电话：400-0000-000&lt;/p&gt;&lt;p&gt;手机：139-0000-0000&lt;/p&gt;&lt;p&gt;传真：0599-0000-0000&lt;/p&gt;&lt;p&gt;邮箱：123456@qq.com&lt;/p&gt;&lt;p&gt;QQ：123456&lt;/p&gt;&lt;p&gt;地址：上海市嘉定区XXX办公楼XX室&lt;/p&gt;','','','','lianxifangshi','','0','0','1','0','0','0','','','page.html','10','');
INSERT INTO `qing_category` VALUES('21','4','3','7','0','','在线留言','','','','','','liuyan','','0','0','1','0','0','0','','','form.html','10','');

DROP TABLE IF EXISTS `qing_content`;
CREATE TABLE `qing_content` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `catid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `modelid` smallint(5) NOT NULL,
  `title` varchar(80) NOT NULL DEFAULT '',
  `thumb` varchar(255) NOT NULL DEFAULT '',
  `keywords` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `hits` smallint(5) unsigned NOT NULL DEFAULT '0',
  `username` char(20) NOT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`,`listorder`,`time`),
  KEY `time` (`catid`,`time`),
  KEY `status` (`catid`,`status`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;

INSERT INTO `qing_content` VALUES('1','13','2','产品名称01','/data/upload/image/20190406/1554515279378120.jpg','','','0','1','1','admin','1554515264');
INSERT INTO `qing_content` VALUES('2','13','2','产品名称02','/data/upload/image/20190406/1554515291257502.jpg','','','0','1','1','admin','1554515284');
INSERT INTO `qing_content` VALUES('3','13','2','产品名称03','/data/upload/image/20190406/1554515300298898.jpg','','','0','1','0','admin','1554515294');
INSERT INTO `qing_content` VALUES('4','13','2','产品名称04','/data/upload/image/20190406/1554515310494865.jpg','','','0','1','0','admin','1554515304');
INSERT INTO `qing_content` VALUES('5','13','2','产品名称05','/data/upload/image/20190406/1554515319161498.jpg','','','0','1','1','admin','1554515313');
INSERT INTO `qing_content` VALUES('6','13','2','产品名称06','/data/upload/image/20190406/1554515328807835.jpg','','','0','1','0','admin','1554515322');
INSERT INTO `qing_content` VALUES('7','13','2','产品名称07','/data/upload/image/20190406/1554515338801725.jpg','','','0','1','1','admin','1554515332');
INSERT INTO `qing_content` VALUES('8','13','2','产品名称08','/data/upload/image/20190406/1554515347132950.jpg','','','0','1','6','admin','1554515341');
INSERT INTO `qing_content` VALUES('9','5','1','汽修业转型升级势在必行','','','截止2015年底，中国民用汽车总数已达到1.37亿辆，全国平均每百户家庭拥有31辆私家车，其中北京、成都、深圳等大城市每百户家庭拥有私家车超过60辆。全国共有机动车维修业户45万家','0','1','0','admin','1554515418');
INSERT INTO `qing_content` VALUES('10','5','1','五大汽车安全技术加速汽车实现自动驾驶','','','近日特斯拉Autopilot自动驾驶功能接连发生事故,让人们对于Autopilot功能的安全性产生了怀疑。特斯拉也多次表示，多数情况下是司机滥用Autopilot自动驾驶功能导致了事故的发生。','0','1','1','admin','1554515431');
INSERT INTO `qing_content` VALUES('11','5','1','汽车零部件“以旧换再”难在哪？','','','汽车零部件再制造，节能减排、资源再生，利国利民。然而事实并非如此美好。2013年8月，国家发改委、财政部、工信部、商务部、质检总局联合发布《再制造产品以旧换再试点实施方','0','1','0','admin','1554515537');
INSERT INTO `qing_content` VALUES('12','5','1','汽车内的部零件你都认识么？','','','空气滤清器：作用是过滤空气中的灰尘杂质，让洁净的空气进入发动机，这对发动机的寿命和正常工作很重要。空滤吸附的灰尘杂质多了就会堵塞，影响发动机工作，所以必须定期更换','0','1','4','admin','1554515549');
INSERT INTO `qing_content` VALUES('13','12','1','一汽解放库尔勒举行J6P产品品鉴会','','','近日，一汽解放J6P6X4领航版牵引车南疆区域产品品鉴会在库尔勒隆重举行，给南疆地区的用户们带来了一场欢聚盛宴！一汽解放汽车销售有限公司营销总监白锋先生致辞:未来，一汽解','0','1','0','admin','1554515637');
INSERT INTO `qing_content` VALUES('14','12','1','2019年汽车零部件行业动向以及解析','','','北京晚报3月21日消息，有了车保养和维修就免不了，通常大家都认为，4S店省心但是价格贵，汽配城省钱但要睁大眼防被骗。但是记者近日专访了两位从业20年的汽车维修大咖和一位曾干','0','1','2','admin','1554515652');
INSERT INTO `qing_content` VALUES('15','12','1','大众汽车集团“幕后老大”将易主？','','','费迪南德皮耶希下个月就80岁了。很多人对这一天的到来早已迫不及待他终于老得无法控制大众集团了。3月17日，保时捷SE（保时捷汽车控股公司）发布官方声明，称该公司已经获知波','0','1','0','admin','1554515661');
INSERT INTO `qing_content` VALUES('16','11','1','汽车上那些汽车配件可以自己更换','','','车主总说，买得起车养不起车，油钱、保养费、保险费等等，养车确实是一笔大开销。尤其在过保之后，保养、换零件、工时费，样样要钱。那么怎么来省钱呢，教给各车主车上哪些东','0','1','3','admin','1554515720');

DROP TABLE IF EXISTS `qing_content_news`;
CREATE TABLE `qing_content_news` (
  `id` mediumint(8) NOT NULL,
  `catid` smallint(5) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `qing_content_news` VALUES('9','5','&lt;p&gt;截止2015年底，中国民用汽车总数已达到1.37亿辆，全国平均每百户家庭拥有31辆私家车，其中北京、成都、深圳等大城市每百户家庭拥有私家车超过60辆。全国共有机动车维修业户45万家&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('10','5','&lt;p&gt;近日特斯拉Autopilot自动驾驶功能接连发生事故,让人们对于Autopilot功能的安全性产生了怀疑。特斯拉也多次表示，多数情况下是司机滥用Autopilot自动驾驶功能导致了事故的发生。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('11','5','&lt;p&gt;汽车零部件再制造，节能减排、资源再生，利国利民。然而事实并非如此美好。2013年8月，国家发改委、财政部、工信部、商务部、质检总局联合发布《再制造产品以旧换再试点实施方&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('12','5','&lt;p&gt;空气滤清器：作用是过滤空气中的灰尘杂质，让洁净的空气进入发动机，这对发动机的寿命和正常工作很重要。空滤吸附的灰尘杂质多了就会堵塞，影响发动机工作，所以必须定期更换&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('13','12','&lt;p&gt;近日，一汽解放J6P 6X4领航版牵引车南疆区域产品品鉴会在库尔勒隆重举行，给南疆地区的用户们带来了一场欢聚盛宴！ 一汽解放汽车销售有限公司营销总监白锋先生致辞: 未来，一汽解&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('14','12','&lt;p&gt;北京晚报3月21日消息，有了车保养和维修就免不了，通常大家都认为，4S店省心但是价格贵，汽配城省钱但要睁大眼防被骗。但是记者近日专访了两位从业20年的汽车维修大咖和一位曾干&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('15','12','&lt;p&gt;费迪南德皮耶希下个月就80岁了。很多人对这一天的到来早已迫不及待他终于老得无法控制大众集团了。 3月17日，保时捷SE（保时捷汽车控股公司）发布官方声明，称该公司已经获知波&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('16','11','&lt;p&gt;车主总说，买得起车养不起车，油钱、保养费、保险费等等，养车确实是一笔大开销。尤其在过保之后，保养、换零件、工时费，样样要钱。那么怎么来省钱呢，教给各车主车上哪些东&lt;/p&gt;');

DROP TABLE IF EXISTS `qing_content_product`;
CREATE TABLE `qing_content_product` (
  `id` mediumint(8) NOT NULL,
  `catid` smallint(5) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `qing_content_product` VALUES('1','13','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515279378120.jpg&quot; title=&quot;1554515279378120.jpg&quot; alt=&quot;1.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('2','13','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515291257502.jpg&quot; title=&quot;1554515291257502.jpg&quot; alt=&quot;2.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('3','13','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515300298898.jpg&quot; title=&quot;1554515300298898.jpg&quot; alt=&quot;3.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('4','13','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515310494865.jpg&quot; title=&quot;1554515310494865.jpg&quot; alt=&quot;4.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('5','13','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515319161498.jpg&quot; title=&quot;1554515319161498.jpg&quot; alt=&quot;5.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('6','13','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515328807835.jpg&quot; title=&quot;1554515328807835.jpg&quot; alt=&quot;6.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('7','13','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515338801725.jpg&quot; title=&quot;1554515338801725.jpg&quot; alt=&quot;7.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('8','13','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190406/1554515347132950.jpg&quot; title=&quot;1554515347132950.jpg&quot; alt=&quot;8.jpg&quot;/&gt;&lt;/p&gt;');

DROP TABLE IF EXISTS `qing_diy_banner`;
CREATE TABLE `qing_diy_banner` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `weizhi` varchar(255) NOT NULL,
  `tupian` varchar(255) NOT NULL,
  `lianjie` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_banner` VALUES('1','电脑版','/data/upload/image/20190406/1554514207139797.jpg','');
INSERT INTO `qing_diy_banner` VALUES('2','电脑版','/data/upload/image/20190406/1554514217368653.jpg','');
INSERT INTO `qing_diy_banner` VALUES('3','手机版','/data/upload/image/20190406/1554514228820745.png','');
INSERT INTO `qing_diy_banner` VALUES('4','手机版','/data/upload/image/20190406/1554514236749828.png','');

DROP TABLE IF EXISTS `qing_diy_flink`;
CREATE TABLE `qing_diy_flink` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `sitename` varchar(255) NOT NULL,
  `siteurl` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_flink` VALUES('1','聚擎CMS','http://www.juqingcms.com/');

DROP TABLE IF EXISTS `qing_diy_link`;
CREATE TABLE `qing_diy_link` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `guanjianci` varchar(255) NOT NULL,
  `lianjie` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_link` VALUES('1','聚擎CMS','http://www.juqingcms.com/');
INSERT INTO `qing_diy_link` VALUES('2','百度','http://www.baidu.com');

DROP TABLE IF EXISTS `qing_diy_partner`;
CREATE TABLE `qing_diy_partner` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `zutu` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_partner` VALUES('1','a:2:{s:7:\"fileurl\";a:10:{i:0;s:48:\"/data/upload/image/20190406/1554514808276005.jpg\";i:1;s:48:\"/data/upload/image/20190406/1554514808360391.jpg\";i:2;s:48:\"/data/upload/image/20190406/1554514808216363.jpg\";i:3;s:48:\"/data/upload/image/20190406/1554514808130128.jpg\";i:4;s:48:\"/data/upload/image/20190406/1554514808137718.jpg\";i:5;s:48:\"/data/upload/image/20190406/1554514808131277.jpg\";i:6;s:48:\"/data/upload/image/20190406/1554514808926259.jpg\";i:7;s:48:\"/data/upload/image/20190406/1554514808546503.jpg\";i:8;s:48:\"/data/upload/image/20190406/1554514808124159.jpg\";i:9;s:48:\"/data/upload/image/20190406/1554514808107020.jpg\";}s:8:\"filename\";a:10:{i:0;s:12:\"知商金融\";i:1;s:12:\"美推联盟\";i:2;s:12:\"南云科技\";i:3;s:21:\"朴石茗电商平台\";i:4;s:12:\"合致教育\";i:5;s:12:\"兰石医疗\";i:6;s:12:\"光电网络\";i:7;s:12:\"暨南大学\";i:8;s:9:\"满堂红\";i:9;s:12:\"百业集团\";}}');

DROP TABLE IF EXISTS `qing_form_comment`;
CREATE TABLE `qing_form_comment` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `cid` mediumint(8) NOT NULL,
  `userid` mediumint(8) NOT NULL,
  `username` char(20) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` char(20) DEFAULT NULL,
  `pinglunneirong` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`),
  KEY `status` (`status`),
  KEY `time` (`time`),
  KEY `userid` (`userid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_form_gestbook`;
CREATE TABLE `qing_form_gestbook` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `cid` mediumint(8) NOT NULL,
  `userid` mediumint(8) NOT NULL,
  `username` char(20) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` char(20) DEFAULT NULL,
  `liuyanneirong` varchar(255) DEFAULT NULL,
  `xingming` varchar(255) NOT NULL,
  `shouji` varchar(255) NOT NULL,
  `youxiang` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`),
  KEY `status` (`status`),
  KEY `time` (`time`),
  KEY `userid` (`userid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_keylink`;
CREATE TABLE `qing_keylink` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `link` varchar(100) NOT NULL,
  `weight` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member`;
CREATE TABLE `qing_member` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `username` char(20) NOT NULL DEFAULT '',
  `password` char(32) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL,
  `avatar` varchar(100) NOT NULL DEFAULT '',
  `modelid` smallint(5) NOT NULL,
  `regdate` int(10) unsigned NOT NULL DEFAULT '0',
  `regip` varchar(50) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member_connect`;
CREATE TABLE `qing_member_connect` (
  `uid` mediumint(9) NOT NULL,
  `openid` varchar(32) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member_geren`;
CREATE TABLE `qing_member_geren` (
  `id` mediumint(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_model`;
CREATE TABLE `qing_model` (
  `modelid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `typeid` tinyint(3) NOT NULL,
  `modelname` char(30) NOT NULL,
  `tablename` char(20) NOT NULL,
  `listtpl` varchar(30) NOT NULL,
  `showtpl` varchar(30) NOT NULL,
  `joinid` smallint(5) DEFAULT NULL,
  `setting` text,
  PRIMARY KEY (`modelid`),
  KEY `typeid` (`typeid`),
  KEY `joinid` (`joinid`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `qing_model` VALUES('1','1','文章模型','content_news','list_news.html','show_news.html','0','a:1:{s:7:\"default\";a:6:{s:5:\"title\";a:2:{s:4:\"name\";s:6:\"标题\";s:4:\"show\";s:1:\"1\";}s:8:\"keywords\";a:2:{s:4:\"name\";s:9:\"关键字\";s:4:\"show\";s:1:\"1\";}s:5:\"thumb\";a:2:{s:4:\"name\";s:9:\"缩略图\";s:4:\"show\";s:1:\"1\";}s:11:\"description\";a:2:{s:4:\"name\";s:6:\"描述\";s:4:\"show\";s:1:\"1\";}s:4:\"time\";a:2:{s:4:\"name\";s:12:\"发布时间\";s:4:\"show\";s:1:\"1\";}s:4:\"hits\";a:2:{s:4:\"name\";s:9:\"阅读数\";s:4:\"show\";s:1:\"1\";}}}');
INSERT INTO `qing_model` VALUES('2','1','产品模型','content_product','list_product.html','show_product.html','0','a:1:{s:7:\"default\";a:6:{s:5:\"title\";a:2:{s:4:\"name\";s:6:\"标题\";s:4:\"show\";s:1:\"1\";}s:8:\"keywords\";a:2:{s:4:\"name\";s:9:\"关键字\";s:4:\"show\";s:1:\"1\";}s:5:\"thumb\";a:2:{s:4:\"name\";s:9:\"缩略图\";s:4:\"show\";s:1:\"1\";}s:11:\"description\";a:2:{s:4:\"name\";s:6:\"描述\";s:4:\"show\";s:1:\"1\";}s:4:\"time\";a:2:{s:4:\"name\";s:12:\"发布时间\";s:4:\"show\";s:1:\"1\";}s:4:\"hits\";a:2:{s:4:\"name\";s:9:\"阅读数\";s:4:\"show\";s:1:\"1\";}}}');
INSERT INTO `qing_model` VALUES('3','3','在线留言','form_gestbook','list_gestbook.html','form.html','0','a:1:{s:4:\"form\";a:11:{s:4:\"post\";s:1:\"0\";s:3:\"num\";s:1:\"0\";s:4:\"time\";s:0:\"\";s:5:\"check\";s:1:\"0\";s:4:\"code\";s:1:\"0\";s:6:\"member\";s:1:\"0\";s:5:\"email\";s:1:\"0\";s:11:\"smtpemailto\";s:0:\"\";s:11:\"mailsubject\";s:0:\"\";s:4:\"show\";a:4:{i:0;s:8:\"xingming\";i:1;s:6:\"shouji\";i:2;s:8:\"youxiang\";i:3;s:13:\"liuyanneirong\";}s:10:\"membershow\";a:1:{i:0;s:13:\"liuyanneirong\";}}}');
INSERT INTO `qing_model` VALUES('5','2','个人','member_geren','list_geren.html','show_geren.html','0','');
INSERT INTO `qing_model` VALUES('6','4','首页banner','diy_banner','list_banner.html','show_banner.html','0','a:1:{s:4:\"form\";a:1:{s:4:\"show\";a:3:{i:0;s:6:\"weizhi\";i:1;s:6:\"tupian\";i:2;s:7:\"lianjie\";}}}');
INSERT INTO `qing_model` VALUES('7','4','友情链接','diy_flink','list_flink.html','show_flink.html','0','');
INSERT INTO `qing_model` VALUES('8','4','合作伙伴','diy_partner','list_partner.html','show_partner.html','0','');
INSERT INTO `qing_model` VALUES('9','4','推荐链接','diy_link','list_link.html','show_link.html','0','a:1:{s:4:\"form\";a:1:{s:4:\"show\";a:2:{i:0;s:10:\"guanjianci\";i:1;s:7:\"lianjie\";}}}');

DROP TABLE IF EXISTS `qing_model_field`;
CREATE TABLE `qing_model_field` (
  `fieldid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `modelid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `field` varchar(20) NOT NULL,
  `name` varchar(30) NOT NULL,
  `isshow` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `tips` text NOT NULL,
  `pattern` varchar(255) NOT NULL,
  `errortips` varchar(255) NOT NULL,
  `formtype` varchar(20) NOT NULL,
  `setting` mediumtext NOT NULL,
  `listorder` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `disabled` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`fieldid`),
  KEY `modelid` (`modelid`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

INSERT INTO `qing_model_field` VALUES('1','1','content','内容','1','','','','editor','a:4:{s:7:\"toolbar\";s:1:\"1\";s:5:\"width\";s:3:\"700\";s:6:\"height\";s:3:\"450\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('2','2','content','内容','1','','','','editor','a:4:{s:7:\"toolbar\";s:1:\"1\";s:5:\"width\";s:3:\"700\";s:6:\"height\";s:3:\"450\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('7','3','shouji','手机','1','','/^(1)[0-9]{10}$/','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','3','0');
INSERT INTO `qing_model_field` VALUES('6','3','xingming','姓名','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','4','0');
INSERT INTO `qing_model_field` VALUES('5','3','liuyanneirong','留言内容','1','','1','留言内容不能为空','textarea','a:3:{s:5:\"width\";s:3:\"400\";s:6:\"height\";s:2:\"90\";s:12:\"defaultvalue\";s:0:\"\";}','1','0');
INSERT INTO `qing_model_field` VALUES('8','3','youxiang','邮箱','1','','','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','2','0');
INSERT INTO `qing_model_field` VALUES('9','6','weizhi','位置','1','','1','','radio','a:2:{s:7:\"content\";s:40:\"电脑版|电脑版\r\n手机版|手机版\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('10','6','tupian','图片','1','','1','','file','a:3:{s:4:\"type\";s:20:\"jpg,jpeg,bmp,gif,png\";s:7:\"preview\";s:1:\"1\";s:4:\"size\";s:1:\"2\";}','0','0');
INSERT INTO `qing_model_field` VALUES('11','6','lianjie','链接','1','格式：http://www.baidu.com，没有则留空','','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('12','7','sitename','网站名称','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('13','7','siteurl','网址','1','格式：http://www.baidu.com','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('14','8','zutu','组图','1','','1','','files','a:3:{s:4:\"type\";s:20:\"jpg,jpeg,bmp,gif,png\";s:7:\"preview\";s:1:\"1\";s:4:\"size\";s:1:\"2\";}','0','0');
INSERT INTO `qing_model_field` VALUES('15','0','catenname','英文名称','1','','','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('16','9','guanjianci','关键词','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('17','9','lianjie','链接','1','格式：http://www.baidu.com','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');

DROP TABLE IF EXISTS `qing_weixinmenu`;
CREATE TABLE `qing_weixinmenu` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `parentid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `child` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `childids` varchar(255) NOT NULL,
  `name` varchar(30) NOT NULL,
  `url` varchar(255) NOT NULL DEFAULT '',
  `listorder` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


